--- /dev/null	2014-11-12 17:44:33.000000000 +0100
+++ new/./illumos.sh	2014-11-12 17:44:33.739829419 +0100
@@ -0,0 +1,234 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2010, 2011 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2012 Joshua M. Clulow <josh@sysmgr.org>
+#
+
+# Configuration variables for the runtime environment of the nightly
+# build script and other tools for construction and packaging of
+# releases.
+# This example is suitable for building an illumos workspace, which
+# will contain the resulting archives. It is based off the onnv
+# release. It sets NIGHTLY_OPTIONS to make nightly do:
+#       DEBUG build only (-D, -F)
+#       do not bringover from the parent (-n)
+#       runs 'make check' (-C)
+#       checks for new interfaces in libraries (-A)
+#       runs lint in usr/src (-l plus the LINTDIRS variable)
+#       sends mail on completion (-m and the MAILTO variable)
+#       creates packages for PIT/RE (-p)
+#       checks for changes in ELF runpaths (-r)
+#       build and use this workspace's tools in $SRC/tools (-t)
+#
+# - This file is sourced by "bldenv.sh" and "nightly.sh" and should not 
+#   be executed directly.
+# - This script is only interpreted by ksh93 and explicitly allows the
+#   use of ksh93 language extensions.
+#
+export NIGHTLY_OPTIONS='-nCAmprt'
+
+#
+# -- PLEASE READ THIS --
+#
+# The variables  GATE and CODEMGR_WS must always be customised to
+# match your workspace/gate location!!
+#
+# -- PLEASE READ THIS --
+#
+
+# This is a variable for the rest of the script - GATE doesn't matter to
+# nightly itself
+export GATE=illumos-gate
+
+# CODEMGR_WS - where is your workspace at (or what should nightly name it)
+export CODEMGR_WS=/code/illumos/deploy/illumos-gate
+
+# Maximum number of dmake jobs.  The recommended number is 2 + NCPUS,
+# where NCPUS is the number of logical CPUs on your build system.
+function maxjobs
+{
+	nameref maxjobs=$1
+	integer ncpu
+	integer -r min_mem_per_job=512 # minimum amount of memory for a job
+
+	ncpu=$(builtin getconf ; getconf 'NPROCESSORS_ONLN')
+	(( maxjobs=ncpu + 2 ))
+	
+	# Throttle number of parallel jobs launched by dmake to a value which
+	# gurantees that all jobs have enough memory. This was added to avoid
+	# excessive paging/swapping in cases of virtual machine installations
+	# which have lots of CPUs but not enough memory assigned to handle
+	# that many parallel jobs
+	if [[ $(/usr/sbin/prtconf 2>'/dev/null') == ~(E)Memory\ size:\ ([[:digit:]]+)\ Megabytes ]] ; then
+		integer max_jobs_per_memory # parallel jobs which fit into physical memory
+		integer physical_memory # physical memory installed
+
+		# The array ".sh.match" contains the contents of capturing
+		# brackets in the last regex, .sh.match[1] will contain
+		# the value matched by ([[:digit:]]+), i.e. the amount of
+		# memory installed
+		physical_memory="10#${.sh.match[1]}"
+		
+		((
+			max_jobs_per_memory=round(physical_memory/min_mem_per_job) ,
+			maxjobs=fmax(2, fmin(maxjobs, max_jobs_per_memory))
+		))
+	fi
+
+	return 0
+}
+
+maxjobs DMAKE_MAX_JOBS # "DMAKE_MAX_JOBS" passed as ksh(1) name reference
+export DMAKE_MAX_JOBS
+
+# path to onbld tool binaries
+ONBLD_BIN='/opt/onbld/bin'
+
+# PARENT_WS is used to determine the parent of this workspace. This is
+# for the options that deal with the parent workspace (such as where the
+# proto area will go).
+export PARENT_WS=''
+
+# CLONE_WS is the workspace nightly should do a bringover from.
+export CLONE_WS='ssh://anonhg@hg.illumos.org/illumos-gate'
+
+# The bringover, if any, is done as STAFFER.
+# Set STAFFER to your own login as gatekeeper or developer
+# The point is to use group "staff" and avoid referencing the parent
+# workspace as root.
+# Some scripts optionally send mail messages to MAILTO.
+#
+export STAFFER="$LOGNAME"
+export MAILTO="$STAFFER"
+
+# If you wish the mail messages to be From: an arbitrary address, export
+# MAILFROM.
+#export MAILFROM="user@example.com"
+
+# The project (see project(4)) under which to run this build.  If not
+# specified, the build is simply run in a new task in the current project.
+export BUILD_PROJECT=''
+
+# You should not need to change the next three lines
+export ATLOG="$CODEMGR_WS/log"
+export LOGFILE="$ATLOG/nightly.log"
+export MACH="$(uname -p)"
+
+#
+#  The following two macros are the closed/crypto binaries.  Once
+#  Illumos has totally freed itself, we can remove these references.
+#
+# Location of encumbered binaries.
+export ON_CLOSED_BINS="$CODEMGR_WS/closed"
+# Location of signed cryptographic binaries.
+export ON_CRYPTO_BINS="$CODEMGR_WS/on-crypto.$MACH.tar.bz2"
+
+# REF_PROTO_LIST - for comparing the list of stuff in your proto area
+# with. Generally this should be left alone, since you want to see differences
+# from your parent (the gate).
+#
+export REF_PROTO_LIST="$PARENT_WS/usr/src/proto_list_${MACH}"
+
+
+export ROOT="$CODEMGR_WS/proto/root_${MACH}"
+export SRC="$CODEMGR_WS/usr/src"
+export MULTI_PROTO="no"
+
+#
+#	build environment variables, including version info for mcs, motd,
+# motd, uname and boot messages. Mostly you shouldn't change this except
+# when the release slips (nah) or you move an environment file to a new
+# release
+#
+export VERSION="$GATE"
+
+#
+# the RELEASE and RELEASE_DATE variables are set in Makefile.master;
+# there might be special reasons to override them here, but that
+# should not be the case in general
+#
+# export RELEASE='5.11'
+# export RELEASE_DATE='October 2007'
+
+# proto area in parent for optionally depositing a copy of headers and
+# libraries corresponding to the protolibs target
+# not applicable given the NIGHTLY_OPTIONS
+#
+export PARENT_ROOT="$PARENT_WS/proto/root_$MACH"
+export PARENT_TOOLS_ROOT="$PARENT_WS/usr/src/tools/proto/root_$MACH-nd"
+
+# Package creation variables.  You probably shouldn't change these,
+# either.
+#
+# PKGARCHIVE determines where the repository will be created.
+#
+# PKGPUBLISHER_REDIST controls the publisher setting for the repository.
+#
+export PKGARCHIVE="${CODEMGR_WS}/packages/${MACH}/nightly"
+# export PKGPUBLISHER_REDIST='on-redist'
+
+# Package manifest format version.
+export PKGFMT_OUTPUT='v1'
+
+# we want make to do as much as it can, just in case there's more than
+# one problem.
+export MAKEFLAGS='k'
+
+# Magic variable to prevent the devpro compilers/teamware from sending
+# mail back to devpro on every use.
+export UT_NO_USAGE_TRACKING='1'
+
+# Build tools - don't change these unless you know what you're doing.  These
+# variables allows you to get the compilers and onbld files locally or
+# through cachefs.  Set BUILD_TOOLS to pull everything from one location.
+# Alternately, you can set ONBLD_TOOLS to where you keep the contents of
+# SUNWonbld and SPRO_ROOT to where you keep the compilers.  SPRO_VROOT
+# exists to make it easier to test new versions of the compiler.
+export BUILD_TOOLS='/opt'
+#export ONBLD_TOOLS='/opt/onbld'
+export SPRO_ROOT=/opt
+export SPRO_VROOT=/opt/sunstudio12.1
+
+# This goes along with lint - it is a series of the form "A [y|n]" which
+# means "go to directory A and run 'make lint'" Then mail me (y) the
+# difference in the lint output. 'y' should only be used if the area you're
+# linting is actually lint clean or you'll get lots of mail.
+# You shouldn't need to change this though.
+#export LINTDIRS="$SRC y"
+
+# Set this flag to 'n' to disable the automatic validation of the dmake
+# version in use.  The default is to check it.
+#CHECK_DMAKE='y'
+
+# Set this flag to 'n' to disable the use of 'checkpaths'.  The default,
+# if the 'N' option is not specified, is to run this test.
+#CHECK_PATHS='y'
+
+# POST_NIGHTLY can be any command to be run at the end of nightly.  See
+# nightly(1) for interactions between environment variables and this command.
+#POST_NIGHTLY=
+
+# Uncomment this to disable support for SMB printing.
+# export ENABLE_SMB_PRINTING='#'
+export __GNUC=''
+export CW_NO_SHADOW=1
+export ONNV_BUILDNUM=152.0.0
--- old/usr/src/man/man1m/Makefile	2014-11-12 17:44:33.866769115 +0100
+++ new/usr/src/man/man1m/Makefile	2014-11-12 17:44:33.871811190 +0100
@@ -13,6 +13,7 @@
 # Copyright 2011, Richard Lowe
 # Copyright (c) 2012, Joyent, Inc.  All rights reserved.
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 include		$(SRC)//Makefile.master
@@ -62,7 +63,6 @@
 		catman.1m		\
 		cfgadm.1m		\
 		cfgadm_ac.1m		\
-		cfgadm_cardbus.1m	\
 		cfgadm_fp.1m		\
 		cfgadm_ib.1m		\
 		cfgadm_pci.1m		\
--- old/usr/src/man/man4/Makefile	2014-11-12 17:44:34.097480087 +0100
+++ new/usr/src/man/man4/Makefile	2014-11-12 17:44:34.102527918 +0100
@@ -10,6 +10,7 @@
 #
 
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2011, Richard Lowe
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 #
@@ -35,7 +36,6 @@
 		bart_manifest.4			\
 		bart_rules.4			\
 		bootparams.4			\
-		cardbus.4			\
 		compver.4			\
 		contents.4			\
 		contract.4			\
--- old/usr/src/man/man7d/Makefile	2014-11-12 17:44:34.297674127 +0100
+++ new/usr/src/man/man7d/Makefile	2014-11-12 17:44:34.302723828 +0100
@@ -94,8 +94,6 @@
 		nxge.7d		\
 		ohci.7d		\
 		openprom.7d	\
-		pcic.7d		\
-		pcmcia.7d	\
 		physmem.7d	\
 		pm.7d		\
 		poll.7d		\
--- /dev/null	2014-11-12 17:44:34.000000000 +0100
+++ new/usr/src/man/man7d/Makefile.orig	2014-11-12 17:44:34.449080218 +0100
@@ -0,0 +1,298 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet
+# at http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2011, Richard Lowe
+# Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
+
+include		$(SRC)/Makefile.master
+
+MANSECT= 	7d
+
+_MANFILES=	aac.7d		\
+		afe.7d		\
+		audio.7d	\
+		audio1575.7d	\
+		audioens.7d	\
+		audiols.7d	\
+		audiop16x.7d	\
+		audiopci.7d	\
+		audiots.7d	\
+		av1394.7d	\
+		bge.7d		\
+		blkdev.7d	\
+		bscv.7d		\
+		chxge.7d	\
+		console.7d	\
+		cpuid.7d	\
+		dca.7d		\
+		dcam1394.7d	\
+		devinfo.7d	\
+		dmfe.7d		\
+		dtrace.7d	\
+		ehci.7d		\
+		fasttrap.7d	\
+		fbt.7d		\
+		fcip.7d		\
+		fcoe.7d		\
+		fcoei.7d	\
+		fcoet.7d	\
+		fcp.7d		\
+		fctl.7d		\
+		fd.7d		\
+		fp.7d		\
+		gld.7d		\
+		hci1394.7d	\
+		hermon.7d	\
+		hid.7d		\
+		hme.7d		\
+		hubd.7d		\
+		hwahc.7d	\
+		hwarc.7d	\
+		hxge.7d		\
+		ib.7d		\
+		ibcm.7d		\
+		ibd.7d		\
+		ibdm.7d		\
+		ibdma.7d	\
+		ibtl.7d		\
+		ieee1394.7d	\
+		igb.7d		\
+		ii.7d		\
+		ipnet.7d	\
+		iscsi.7d	\
+		iser.7d		\
+		ixgbe.7d	\
+		kmdb.7d		\
+		kstat.7d	\
+		ksyms.7d	\
+		llc1.7d		\
+		lockstat.7d	\
+		lofi.7d		\
+		log.7d		\
+		md.7d		\
+		mediator.7d	\
+		mem.7d		\
+		mpt_sas.7d	\
+		mr_sas.7d	\
+		msglog.7d	\
+		mt.7d		\
+		mxfe.7d		\
+		myri10ge.7d	\
+		null.7d		\
+		nulldriver.7d	\
+		nxge.7d		\
+		ohci.7d		\
+		openprom.7d	\
+		pcic.7d		\
+		pcmcia.7d	\
+		physmem.7d	\
+		pm.7d		\
+		poll.7d		\
+		profile.7d	\
+		ptm.7d		\
+		pts.7d		\
+		pty.7d		\
+		qlc.7d		\
+		ramdisk.7d	\
+		random.7d	\
+		rge.7d		\
+		rtls.7d		\
+		sad.7d		\
+		sata.7d		\
+		scsa1394.7d	\
+		scsa2usb.7d	\
+		sd.7d		\
+		sdp.7d		\
+		sdt.7d		\
+		ses.7d		\
+		sfe.7d		\
+		sgen.7d		\
+		srpt.7d		\
+		st.7d		\
+		sv.7d		\
+		sysmsg.7d	\
+		systrace.7d	\
+		ticlts.7d	\
+		tty.7d		\
+		ttymux.7d	\
+		tzmon.7d	\
+		ugen.7d		\
+		uhci.7d		\
+		usb_ac.7d	\
+		usb_as.7d	\
+		usb_ia.7d	\
+		usb_mid.7d	\
+		usba.7d		\
+		usbftdi.7d	\
+		usbprn.7d	\
+		usbsacm.7d	\
+		usbsksp.7d	\
+		usbsprl.7d	\
+		usbvc.7d	\
+		uwba.7d		\
+		virtualkm.7d	\
+		vni.7d		\
+		vr.7d		\
+		wscons.7d	\
+		wusb_ca.7d	\
+		wusb_df.7d	\
+		xge.7d		\
+		yge.7d		\
+		zcons.7d	\
+		zero.7d
+
+sparc_MANFILES=	audiocs.7d	\
+		bbc_beep.7d	\
+		ctsmc.7d	\
+		cvc.7d		\
+		cvcredir.7d	\
+		dad.7d		\
+		dm2s.7d		\
+		dr.7d		\
+		eri.7d		\
+		fas.7d		\
+		gpio_87317.7d	\
+		grbeep.7d	\
+		idn.7d		\
+		mc-opl.7d	\
+		n2rng.7d	\
+		ncp.7d		\
+		ntwdt.7d	\
+		oplkmdrv.7d	\
+		oplmsu.7d	\
+		oplpanel.7d	\
+		pcicmu.7d	\
+		pcipsy.7d	\
+		pcisch.7d	\
+		schpc.7d	\
+		sf.7d		\
+		smbus.7d	\
+		socal.7d	\
+		ssd.7d		\
+		su.7d		\
+		todopl.7d	\
+		tsalarm.7d	\
+		zs.7d		\
+		zsh.7d
+
+i386_MANFILES=	ahci.7d		\
+		amd8111s.7d	\
+		amr.7d		\
+		arcmsr.7d	\
+		arn.7d		\
+		asy.7d		\
+		ata.7d		\
+		atge.7d		\
+		ath.7d		\
+		atu.7d		\
+		audio810.7d	\
+		audiocmi.7d	\
+		audiocmihd.7d	\
+		audioemu10k.7d	\
+		audiohd.7d	\
+		audioixp.7d	\
+		audiosolo.7d	\
+		audiovia823x.7d \
+		audiovia97.7d	\
+		bcm_sata.7d	\
+		bfe.7d		\
+		cmdk.7d		\
+		cpqary3.7d	\
+		dnet.7d		\
+		ecpp.7d		\
+		elxl.7d		\
+		heci.7d		\
+		i915.7d		\
+		ipmi.7d		\
+		iprb.7d		\
+		ipw.7d		\
+		iwh.7d		\
+		iwi.7d		\
+		mega_sas.7d	\
+		npe.7d		\
+		ntxn.7d		\
+		nv_sata.7d	\
+		pcn.7d		\
+		radeon.7d	\
+		ral.7d		\
+		rtw.7d		\
+		rum.7d		\
+		rwd.7d		\
+		rwn.7d		\
+		sda.7d		\
+		sdhost.7d	\
+		si3124.7d	\
+ 	 	skd.7d		\
+		smbios.7d	\
+		uath.7d		\
+		ural.7d		\
+		urtw.7d		\
+		wpi.7d		\
+		zyd.7d
+
+_MANLINKS=	1394.7d		\
+	 	allkmem.7d	\
+	 	bscbus.7d	\
+	 	fdc.7d		\
+	 	firewire.7d	\
+	 	hwa1480_fw.7d	\
+	 	i2bsc.7d	\
+	 	kmem.7d		\
+	 	lo0.7d		\
+	 	ticots.7d	\
+	 	ticotsord.7d	\
+	 	urandom.7d	\
+	 	usb.7d		\
+	 	uwb.7d
+
+sparc_MANLINKS=	drmach.7d	\
+		ngdr.7d		\
+		ngdrmach.7d
+
+MANFILES =	$(_MANFILES) $($(MACH)_MANFILES)
+MANLINKS =	$(_MANLINKS) $($(MACH)_MANLINKS)
+
+bscbus.7d	:= LINKSRC = bscv.7d
+i2bsc.7d	:= LINKSRC = bscv.7d
+
+drmach.7d	:= LINKSRC = dr.7d
+ngdr.7d		:= LINKSRC = dr.7d
+ngdrmach.7d	:= LINKSRC = dr.7d
+
+fdc.7d		:= LINKSRC = fd.7d
+
+1394.7d		:= LINKSRC = ieee1394.7d
+firewire.7d	:= LINKSRC = ieee1394.7d
+
+lo0.7d		:= LINKSRC = ipnet.7d
+
+allkmem.7d	:= LINKSRC = mem.7d
+kmem.7d		:= LINKSRC = mem.7d
+
+urandom.7d	:= LINKSRC = random.7d
+
+ticots.7d	:= LINKSRC = ticlts.7d
+ticotsord.7d	:= LINKSRC = ticlts.7d
+
+usb.7d		:= LINKSRC = usba.7d
+
+uwb.7d		:= LINKSRC = uwba.7d
+
+hwa1480_fw.7d	:= LINKSRC = wusb_df.7d
+
+.KEEP_STATE:
+
+include		$(SRC)/man/Makefile.man
+
+install:	$(ROOTMANFILES) $(ROOTMANLINKS)
